<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
//$material = $_COOKIE['material'];
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$sessao = new sessao();
$nivel=$sessao->getVar('nivel');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$idDoc=$sessao->getVar('transfere');
$cliente=$sessao->getVar('cliente');
//$cliente='ADV';
$ocultarPureza=$sessao->getVar('ocultarPureza');
if(substr(strtoupper($cliente ?? ""),0,8)=='DIMICRON')$cliente="DIMICRON";
$viasMescladas=$sessao->getVar('controle7');
$varControle1=$sessao->getVar('controle1');
if($varControle1=='branco')$imprimirBranco='SIM';

//$pdf->Output("uploads/arquivo.pdf","F");//funciona
//verifica se a verificacao do arquivo esta satisfeita
$digital=$sessao->getVar('digital');
    /*
    //VAI ACESSAR A CLASSE E PREPARA O NOME DO ARQUIVO
	if($digital=='SIM'):
		$objetoEncriptar=new encriptar();
		$amostraEncriptada=$objetoEncriptar->certificado($idDoc);
	endif;
	*/
	//$sessao->setVar('digital',"xxx");//precisa limpar a sessao senao mesmo que nao marcar a sessao continua com valor=SIM
    

$oficial='NAO';
//echo("1xxxxxxxxxxxxxxidDocumento= $idDoc<br>");
$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
//$pdf1=new PDF_HTML('P','mm','A4');
  $pdf->open();//abre o fpdf
  //aqui vai imprimir tantas vias mescladas num so arquivo
  for($mescladas=1;$mescladas<=$viasMescladas;$mescladas++):
    $indiceVetorNomesContaminantes=0;
    //vai encerrar a sessao ao findar as vias a serem impressas
	if($mescladas==$viasMescladas):
	   //$sessao->setVar('digital',"xxx");//precisa limpar a sessao senao mesmo que nao marcar a sessao continua com valor=SIM
    endif; 

	 $pdf->AddPage();//adicionando a primera pafina
	 $pdf->AliasNbPages();
	 $pdf->SetFont('Arial','',12);
	 $pdf->SetDrawColor(10,10,10);


	 $maximoHAdobe=297;
	 $maximoLAdobe=210;
     $margemEsquerdaExterna=10;
     $margemEsquerda=10;//estava 10.5
	 $margemDireita=$maximoLAdobe-7;
	 $larguraUtil=$maximoLAdobe-17;
	 $alturaUtil=$maximoHAdobe-70;
	 $alturaUtil=$maximoHAdobe-60;//coloquei isso em 140720
     $cotaFinal=$maximoHAdobe-30;
	 $cinza=220;
	 $pdf->SetFillColor($cinza,$cinza,$cinza);
	 $grosso=0.7;
	 $medio=0.4;
	 $fino=0.3;
	 $extraFino=0.2;
	 $cota1=5;
	 $cota2=30;
	 $cota3=40;
	 $cota4=53;
	 $cotaViaSuperior=30;
	 if($pdf->oficial=='SIM') 
	 {
		 $cota5=84;
		 $cota6=92;
		 $cota7=128;
		 $cota8=144;
		 $cota9=167; 
		 $cota10=215; 
		 $cota11=240; //era 250  ate 270620 
	 }
     else
	 {   
	     $abate=4;
		 $cota5=84-$abate;
		 $cota6=92-$abate;
		 $cota7=128-$abate;
		 $cota8=144-$abate;
		 $cota9=167-$abate; 
		 $cota10=215-$abate; 
		 $cota11=240-$abate; //era 250  ate 270620
	 }
	 $pdf->SetLineWidth($grosso);


     //contorno do corpao
	 //$alturaUtil-=10;
	 $pdf->rect($margemEsquerdaExterna,$cota3,$larguraUtil,$alturaUtil);

	 
	 

	 $pdf->SetFont('Times','B',10);
	 //$pdf->Cell(30,10,'Angela',1,0,'C'); 30=largura  10=altura   angela=texto   1=com borda    0=quebra de linhya a direita      Centralizado(L,C,R) SINTAXE.....
	     ####################################CABECALHO################################################
     $vetorCabecalho=$objetocalculo->dadoslaboratorio();
	  	 
         //contorno do logotipo 
		 $posicaoCab1=50;
	     $pdf->rect($margemEsquerdaExterna,$cota1,$larguraUtil,25);//d=draw (desenho/borda)  f=fill)	
         if($cliente=="BAREN")$pdf->Line($posicaoCab1+20,$cota1,$posicaoCab1+20,30);//barenbrug vai uma linha depois do cabecalho(se outro pedir é so colocar)
		 $tama=120;
	     $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
		 $pdf->Image($caminhoFinal,11,6,48,23,'JPG');
		 $pdf->setXY($margemEsquerda,$cota2+1);
		 $pdf->SetFont('Times','B',13);

		 //o/a didentificacao do lab
		 $cota1=5;
		 if($cliente=='DIMICRON' || $cliente=='BAREN' )://dimicron quero a via la embaixo
		     $cotaVia=$cota1+275;//captura a cota para imprimir o numero de via la no final do script
	     else:
		     $cotaVia=$cotaViaSuperior;//captura a cota para imprimir o numero de via la no final do script
			 //$cotaVia=275;//captura a cota para imprimir o numero de via la no final do script
		 endif;
		 //eu ajustei aqui em 01/12/2020 mas talvez precise ajustar o numero da via da dimicron novamente
		 if($cliente=='DIMICRON')  $cotaVia=$cotaViaSuperior;
		 /////////////////////////////////////////////////
			$tabela = '<table border="1">';
			$tabela .= '<tr>';
			 $tabela .= '<td colspan="8">BOLETIM VERTICAL EM EXCEL - Sistema SilasNet</tr>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '</tr>';
			 $tabela .= '<tr>';
			 //$tabela .= '<td>'.utf8_decode($vetorCabecalho[0]).'</td>';
			 $tabela .= '<td>'.utf8_decode("GIRAFA").'</td>';
			 $tabela .= '</tr>';
			 
			 //so para ver como ad 
///////////////////////////////////////////////////////




			 
		 $pdf->SetFont('Times','B',9);
         $alturaLinhaCabecalho=5;  			;
         //se  quiser imprimir 5 linhas de cabecalho entao coloca aqui 
		 if($cliente=='BAREN' ):
		    $pdf->SetFont('Times','B',10);
            $alturaLinhaCabecalho=4;  			;
	     endif;		
		 $pdf->setXY($posicaoCab1,$cota1);
		 $pdf->Cell(175,$alturaLinhaCabecalho,utf8_decode($vetorCabecalho[0]),0,1,'C');//lab nome
		 $pdf->SetFont('Times','B',9);
		 //$pdf->SetFont('Times','',10);
		 $pdf->Ln(0);
		 $pdf->Cell($posicaoCab1-$margemEsquerda);
		 $pdf->Cell(175,$alturaLinhaCabecalho,utf8_decode($vetorCabecalho[1]),0,1,'C');
		 $pdf->Ln(0);
		 $pdf->Cell($posicaoCab1-$margemEsquerda);
		 $pdf->Cell(175,$alturaLinhaCabecalho,utf8_decode($vetorCabecalho[2]),0,1,'C');
		 $pdf->Ln(0);
		 $pdf->Cell($posicaoCab1-$margemEsquerda);
		 $pdf->Cell(175,$alturaLinhaCabecalho,utf8_decode($vetorCabecalho[3]),0,1,'C');
		 //$pdf->Cell(185,5,'toranja',0.5,1,'C');
		 $pdf->Ln(0);
		 $pdf->Cell($posicaoCab1-$margemEsquerda);
		 $pdf->Cell(175,$alturaLinhaCabecalho,utf8_decode($vetorCabecalho[4]),0,1,'C');
		 
		 if($cliente=='BAREN' ):
			 $pdf->Ln(0);
			 $pdf->Cell($posicaoCab1-$margemEsquerda);
			 $pdf->Cell(175,$alturaLinhaCabecalho,utf8_decode($vetorCabecalho[5]),0,1,'C');
         endif;


     ////////////////IDENTIFICACAO DO BOLETIM////////////////////////////
     $vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);
	 if($imprimirBranco=='SIM')$vetorDadosDocumento="";


	 $pdf->SetFont('Arial','B',10);
	 $tipoBoletim="BOLETIM OFICIAL DE ANÁLISE DE SEMENTES Nº ";
	 if($oficial=='NAO') $tipoBoletim="BOLETIM DE ANÁLISE DE SEMENTES Nº ";
	 //if($cliente=='QUALITESTE') $tipoBoletim="BOLETIM DE ANÁLISE DE SEMENTES Nº";
	 
	 
	 //$pdf->Cell(30,10,'Angela',1,0,'C'); 30=largura  10=altura   angela=texto   1=com borda    0=quebra de linhya a direita      Centralizado(L,C,R) SINTAXE.....


     $texto=str_pad($vetorDadosDocumento[1], 4, "0", STR_PAD_LEFT);
    
	 $texto1=$vetorDadosDocumento[4];//ANO
	 $texto1="/".$texto1;
	 if($cliente=='BAREN'):
	    if($cliente=='BAREN' )$pdf->SetFont('Arial','B',16);
	    $pdf->Cell($larguraUtil,8,utf8_decode($tipoBoletim).$texto.$texto1,0,0,'C'); 	
	 else:
	    
	    $pdf->setXY($margemEsquerda,$cotaVia);
        $pdf->Cell($larguraUtil,10,utf8_decode($tipoBoletim).$texto.$texto1,1,0,'C',1); 	
	 endif;	
     $cotaVia=280;


     #####################DADOS DO REQUERENTE##################################################
	 $pdf->SetLineWidth($fino);
	 $pdf->setXY($margemEsquerda,$cota3);
	 $pdf->SetFont('Times','B',9);
     $pdf->Cell($larguraUtil,4.5,utf8_decode('IDENTIFICAÇÃO DO REQUERENTE'),1,1,'C',1); 	
	 $pdf->Ln(0);
     $pdf->SetFont('Times','',8);
     $pdf->Cell(120,4.5,'Requerente: '.utf8_decode($vetorDadosDocumento[0]) ,1,1,'L');
	 $pdf->Ln(-4.5);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(120);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(73,4.5,'RENASEM: '.$vetorDadosDocumento[6] ,1,1,'L');
	 $pdf->Ln(0);//ln(0)da o salto criando uma celuma contigua   ln()=cria um salto afastando a celula tantos milimetros quento a altura da linha anterior
	 //$pdf->Cell($margemEsquerda);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10

	 $cep=$vetorDadosDocumento[34];
	 if(strlen($cep)==9)$cepFinal="  CEP:".$cep;
	 
     //$pdf->Cell(193,4.5,utf8_decode('Endereço:'.$vetorDadosDocumento[8]." ".$vetorDadosDocumento[35]) ,1,1,'L');
     $pdf->Cell(193,4.5,utf8_decode('Endereço: '.$vetorDadosDocumento[8]) ,1,1,'L');
	 $pdf->Ln(0);
     ################IDENTIFICACAO DA AMOSTRA##################################################
	 //captura o numero da amostra
	//ENTRA DE QUAKQUER MANEIRA
	$generica=new tabelagenerica();
	$generica->tabela="documentosponte";
	$generica->campos_valores = array(
			"dpo_amostra_vinculada" => NULL,
		);
	$generica->extras_select =" where  dpo_documento_autonumerador=".$idDoc;
	$generica->selecionaCampos($generica);
	while ($resgenerica = $generica->retornaDados()):
		$amostraLong=$resgenerica->dpo_amostra_vinculada;
	endwhile;	 
    $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
	//if($imprimirBranco=='SIM')$vetorAmostraBruto="";
	 
	 $pdf->SetFont('Times','B',9);
	 $pdf->setXY($margemEsquerda,$cota4);
     $pdf->Cell($larguraUtil,4.5,utf8_decode('IDENTIFICAÇÃO DA AMOSTRA') ,1,0.5,'C',1);	
     $largo[1]=117;
     $largo[2]=76;
     $posicaox[1]=10;
     $posicaox[2]=10+$largo[1];
	 

     //AQUI precisa contornar alguns problemas
	 //1)se é mamona tem 2 letra m que toma muito espaco e ja deu estouro entao preciso multiplicar por 3
	 //2)se é TOMATE/TOMATE RASTEIRO  E nome cientifico lycopersicum esculentum x lycoparsicum lyxopersicum
	 //gasta tanto espaco que invade o setor a direita
     //se o nome cientifico e o comum forem muito grandes ele diminui a fonte para 7 e diminui o tamnaho para 90%
	 $tamaFonte=8;
	 //aqui um gato para a quantitest  para que possa usar as especies di jeito que foram salvas
	 if($cliente=='QUALITESTE'):
	   //$vetorAmostraBruto[13]="Petunium";
	   if($vetorAmostraBruto[31]=='BS AA0067')$vetorDadosDocumento[13]='Lactuca  sativa var. capitata L';
	   if($vetorAmostraBruto[31]=='BS AC0053')$vetorDadosDocumento[13]='Lactuca  sativa var. crispa L';
	   if($vetorAmostraBruto[31]=='BS AL0071')$vetorDadosDocumento[13]='Lactuca  sativa var. capitata L';
	   if($vetorAmostraBruto[31]=='BS AR0073')$vetorDadosDocumento[13]='Lactuca  sativa var. longifolia Lam';
	 
	 endif;
	 
	 
	 
	 $nomeComum=$vetorDadosDocumento[2];
     $nomeCientifico='('.$vetorDadosDocumento[13].')'; //coloquei um espaco para resolver o boletim 174/2020
	 $tama=strlen($nomeComum);
	 $tamanhoMistura=strlen($nomeComum);
	 $conversor=1.8;//era 1.8
	 $tamanho1=$conversor*strlen('Especie');
	 $pdf->SetFont('Times','',$tamaFonte);
	 $pdf->setXY($margemEsquerda,$cota4+6);
     $pdf->Cell($tamanho1,$larguraDaLinha,utf8_decode('Espécie:'),0,0,'L');
	 $tamanho2=$conversor*strlen($nomeComum);
	 if($nomeComum=="MAMONA")$tamanho2=$tamanho2*1.3;//se for mamona aumenta 30%
	 if($nomeComum=="GRAMA-BERMUDA")$tamanho2=$tamanho2*1.3;//se for mamona aumenta 30%
	 $tamanho3=$conversor*strlen($nomeCientifico);
	 $tamanhoSoma=$tamanho2+$tamanho3;
     //se o nome comum + o nome cientifico é muito grande ai diminui a letra de 8 para 7
	 if($tamanhoSoma>50):
	      $tamaFonte=7;
	      $tamanho2=$tamanho2*0.9;
	      $tamanho3=$tamanho3*0.9;
     endif;
	 $incrementoMistura=0;
	 $alturaLinhaMistura=4.5;
	 $parametroMistura=3.82;
	 $especieMistura="NAO";
     if($tamanhoMistura>40):  //maior que 30 caracteres ja é mistura
	     $incrementoMistura=$parametroMistura;
		 $alturaLinhaMistura=$parametroMistura;
	     $especieMistura="SIM";
	 endif;	 
     //AQUI IMPRIME A ESPECIE
	 if($especieMistura=="SIM"):
         $pdf->SetFont('Times','',$tamaFonte);
	     $pdf->Cell($tamanho2,$larguraDaLinha,utf8_decode($nomeComum),0,0,'L');
	     $pdf->SetFont('Times','I',$tamaFonte);
		 $pdf->setXY($margemEsquerda,$cota4+6+$alturaLinhaMistura);
	     $pdf->Cell($tamanho3,$larguraDaLinha,utf8_decode($nomeCientifico),0,0,'L');
	 else:
	     $pdf->SetFont('Times','',$tamaFonte);
	     $pdf->Cell($tamanho2,$larguraDaLinha,utf8_decode($nomeComum),0,0,'L');
	     $pdf->SetFont('Times','I',$tamaFonte);
	     $pdf->Cell($tamanho3,$larguraDaLinha,utf8_decode($nomeCientifico),0,0,'L');
     endif;
	 
	 
	 //imprime cultivar no lugar certo se a especie é muito longa>130 ai empurra a cultivar 20 para a direita
	
	 if($especieMistura=="SIM"):
		 $rebateCultivar=0;
	     if($tamanhoSoma>130)$rebateCultivar=40;//tetsukabuto e com nome de especie duplicada deu 156 
	     
	     if($tamanhoSoma>210)$rebateCultivar=25;//tetsukabuto e com nome de especie duplicada deu 156 
	     
	     //if($tamanhoSoma>130)$rebateCultivar=50;//especie extremamente gradnde dia 02/08/18
		 //$vetorAmostraBruto[31]="Catuaí­ Amarelo IAC 47";
		 //em 021221 ey ciei incremento mistura para criar uma linha mais alta para especie
		 $pdf->setXY($margemEsquerda-10+$largo[1]+$rebateCultivar,$cota4+$incrementoMistura+0.8); 
		 $posicaoTracinhoCultivar=$largo[1]+$rebateCultivar;
		 $cotaTracinhoCultivar=$cota4+$incrementoMistura+0.5;
	     $alturaTracinhoCultivar=$incrementoMistura+$alturaLinhaMistura-0.5;
		 $pdf->SetFont('Times','',8);
		 $cultivarX=$vetorAmostraBruto[31];
	     //$pdf->Cell($largo[2]-$rebateCultivar,$incrementoMistura+$alturaLinhaMistura-0.5,'Cultivar:'.utf8_decode($cultivarX),0,0,'L');
	      $pdf->multicell($largo[2]-$rebateCultivar,3,'Cultivar:'.utf8_decode($cultivarX),0,'L');
		 $pdf->Line($posicaoTracinhoCultivar,$cotaTracinhoCultivar,$posicaoTracinhoCultivar,$cotaTracinhoCultivar+$alturaTracinhoCultivar);
		 $cota4+=$incrementoMistura;
     else:  //se a especie nao é mistura
		 $rebateCultivar=0;
	     if($tamanhoSoma>130)$rebateCultivar=20;//tetsukabuto e com nome de especie duplicada deu 156 
	     if($tamanhoSoma>210)$rebateCultivar=35;//tetsukabuto e com nome de especie duplicada deu 156 
	     //if($tamanhoSoma>130)$rebateCultivar=50;//especie extremamente gradnde dia 02/08/18
		 //$vetorAmostraBruto[31]="Catuaí­ Amarelo IAC 47";
		 //em 021221 ey ciei incremento mistura para criar uma linha mais alta para especie
		 //$pdf->setXY($margemEsquerda+$largo[1]+$rebateCultivar,$cota4+4.5+0.5); 
		 $pdf->setXY($margemEsquerda+$largo[1]+$rebateCultivar,$cota4+4.5); 
	     $pdf->SetFont('Times','',8);
		 $cultivarX=$vetorAmostraBruto[31];
	     $pdf->Cell($largo[2]-$rebateCultivar,$incrementoMistura+$alturaLinhaMistura,'Cultivar: '.utf8_decode($cultivarX),1,0,'L');
		 $cota4+=$incrementoMistura;
	 endif;





	 ////////
	 $vetor[1][1]="";
	 $vetor[2][1]="Nº do Lote: ".$vetorAmostraBruto[2];
	 $vetor[3][1]="Safra: ".$vetorAmostraBruto[34];
	 $vetor[1][2]="Cultivar: ".$vetorAmostraBruto[31]; 
	 //$vetor[2][2]="Representatividade:".$pdf->vetorFicha[17].$pdf->vetorFicha[18];
	 /////////BAREN INFORMa EM UNIDADES E DEPOIS MOSTRA EM QUILOS////
     if($cliente=='BAREN'):
        $repre=$vetorAmostraBruto[6];
        list($r1,$r2,$r3,$r4)= explode(" ", $repre);
     	$pesoFinal=number_format($r3*$r1,1,',','.');  //number_format($osg,$casasDecimais,'separador decimal','separador milhar')
        $vetorAmostraBruto[6]=$pesoFinal.' Kg';
     endif;	
	 ////////fim da situacao especial BAREN//////////
	 $vetor[2][2]="Representatividade: ".$vetorAmostraBruto[6];
	 //$vetor[3][2]="Procedencia:".$pdf->vetorFicha[6];    //esta linha esta correta
	 $vetor[3][2]="Procedência: ".$vetorDadosDocumento[14];
     $colunas=2;
	 if($pdf->oficial=='SIM') 
	 {
         $linhas=6;
         $vetor[4][1]="Termo de coleta de amostra: ".$vetorAmostraBruto[45];
		 $vetor[5][1]="Nome do Amostrador: ".$vetorDadosDocumento[5];
		 $vetor[6][1]="Data de Amostragem: ".$vetorDadosDocumento[11];
		 $vetor[4][2]="Autorização de importação: ".$pdf->vetorFicha[16];
		 $vetor[5][2]="RENASEM: ".$vetorDadosDocumento[7];
		 $vetor[6][2]="Peneira: ".$vetorAmostraBruto[35];
     }
	 
	 else //las nao oficial
	 {
         $linhas=5;
		 $vetor[4][1]="Nome do Amostrador: ".$vetorDadosDocumento[5];
		 $vetor[5][1]="Data de Amostragem: ".$vetorDadosDocumento[11];
		 $vetor[4][2]="RENASEM: ".$vetorDadosDocumento[7];
		 $vetor[5][2]="Peneira: ".$vetorAmostraBruto[35];
	 }

      //$pdf->vetorFicha[11];  categoria........
	 //$cota4+=$incrementoMistura;
	 $pdf->SetLineWidth(0.2); //usar espessura 1 para testar calibraçao
	 $cotaLinha=$cota4+$alturaLinhaMistura;
	 $pdf->SetFont('Times','',8);
     for($L=2;$L<=$linhas;$L++)
	 {
	     $cotaLinha+=$alturaLinhaMistura;
    	 for($i=1;$i<=$colunas;$i++)
		 {
    		 $pdf->setXY($posicaox[$i],$cotaLinha);
             //if($L==1 && $i==2 )
			 $pdf->Cell($largo[$i],$alturaLinhaMistura,utf8_decode($vetor[$L][$i]),1,1,'L');	
			 $pdf->Ln(-$alturaLinhaMistura);//-8 é pra ele imprimir na mesma linha
		 }
		 //aqui insere categoria numa linha ao lado de safra
		 if($L==3)
		 {
    		 $pdf->setXY(60,$cotaLinha);
			 $pdf->Cell(67,$alturaLinhaMistura,'Categoria: '.utf8_decode($vetorDadosDocumento[10]),1,1,'L');	//era 57
		 }
		 $pdf->Ln(0);
	 }
	 $vetor[3][1]="Safra: ".$pdf->vetorFicha[9];

    ################IDENTIFICACAO DA AMOSTRA NO LABORATORIO##################################################
     $cota=$cota5;
	 $pdf->SetFont('Times','B',9);
	 $pdf->setXY($margemEsquerda,$cota);
     $pdf->Cell($larguraUtil,4.5,utf8_decode('IDENTIFICAÇÃO DA AMOSTRA NO LABORATÓRIO') ,1,0.5,'C',1);	
     $largo[1]=96;
     $largo[2]=97;
     $posicaox[1]=10;
     for($i=2;$i<=2;$i++)$posicaox[$i]=$posicaox[$i-1]+$largo[$i-1];  //calcula as posicoes 2,3,  somando as laruras
	 //celeiro quer o numero da amostra com 3 casas. cliente sempre tem razao...
	// if(substr($cliente,0,7)=='CELEIRO'):
	 //    $vetor[1][1]="Nº da amostra: ".str_pad($vetorAmostraBruto[1], 3, "0", STR_PAD_LEFT)."/".substr($vetorAmostraBruto[36],2,2);
	 //else:
	 if($cliente=='BAREN')://BAREN USA INFORMAR ASSIM 0056/17AD
		      $vetor[1][1]="Nº da amostra: ".str_pad($vetorAmostraBruto[1], 4, "0", STR_PAD_LEFT)."/".substr($vetorAmostraBruto[36],2,2).'-AD';
	 else:
		      //$vetor[1][1]="Nº da amostraddd: ".str_pad($vetorAmostraBruto[1], 4, "0", STR_PAD_LEFT)."/".substr($vetorAmostraBruto[36],2,2)."www".$vetorAmostraBruto[108];
              //dia 070223 ufla tinha uma amostra com data entrada de 2022 e cadastrou no dia 040123 o ano ficou 2023 mas no boletim saiu o ano 2022(errado))
			  $vetorAmostraBruto[108]='2023';
		      //$vetor[1][1]=$vetorAmostraBruto[108]."Nº da amostra: ".str_pad($vetorAmostraBruto[1], 4, "0", STR_PAD_LEFT)."/".substr($vetorAmostraBruto[108],2,2);
		      //$vetor[1][1]=$vetorAmostraBruto[108]."Nº da amostra: ".str_pad($vetorAmostraBruto[1], 4, "0", STR_PAD_LEFT)."/23",2,2);
		      $vetor[1][1]="Nº da amostra: ".str_pad($vetorAmostraBruto[1], 4, "0", STR_PAD_LEFT)."/".substr($vetorAmostraBruto[36],2,2);


	 endif;
	 //endif;	 
	 //aqui inverte a data
	 $data=$vetorAmostraBruto[36];
	 $dia=substr($data,8,2);
	 $mes=substr($data,5,2);
	 $ano=substr($data,0,4);//ano   1951-02-28
	 $dataBrasileira=$dia."/".$mes."/".$ano;
	 $vetor[1][2]="Data do Recebimento: ".$dataBrasileira;
     $linhas=1;
     $colunas=2;
	 $pdf->SetLineWidth(0.2); //usar espessura 1 para testar calibraçao
	 $cotaLinha=$cota5;
	 $pdf->SetFont('Times','',8);
     for($L=1;$L<=$linhas;$L++)
	 {
	     $cotaLinha+=4.5;
    	 for($i=1;$i<=$colunas;$i++)
		 {
    		 $pdf->setXY($posicaox[$i],$cotaLinha);
			 $pdf->Cell($largo[$i],4.5,utf8_decode($vetor[$L][$i]),1,1,'L');	
			 $pdf->Ln(-4.5);//-8 é pra ele imprimir na mesma linha
		 }
		 $pdf->Ln(0);
	 }
    ################RESULTADO DE ANÁLISE##################################################
	 $vetor="";
     $cota=$cota6;
	 $pdf->SetFont('Times','B',9);
	 $pdf->setXY($margemEsquerda,$cota);
     $pdf->Cell($larguraUtil,4.5,utf8_decode('RESULTADO DE ANÁLISE') ,1,0.5,'C',1);	
     $largo[1]=54;
     $largo[2]=27;
     $largo[3]=112;
     $posicaox[1]=10;
     for($i=2;$i<=3;$i++)$posicaox[$i]=$posicaox[$i-1]+$largo[$i-1];  //calcula as posicoes 2,3,  somando as laruras
	 $vetor[1][2]="VERIFICAÇÃO";
	 if($ocultarPureza=="SIM"):
	    $vetorAmostraBruto[45]='-O-';
	 endif;
	 $purezaNumero=$vetorAmostraBruto[45];
	 if($purezaNumero*1   >0 ):
        $purezaFinal=str_replace(".",",",$purezaNumero);;
	 else:	
        $purezaFinal=$vetorAmostraBruto[45];
	 endif;
	 
	  
	 $vetor[2][1]="PUREZA em ".$purezaFinal." g";
	 $vetor[2][2]="DE OUTRAS";
	 $vetor[2][3]="GERMINAÇÃO";
	 $vetor[3][2]="CULTIVARES"; 
	 $vetor[4][2]="(Nº)"; 
     $linhas=3;
     $colunas=3;
	 $pdf->SetLineWidth(0.2); //usar espessura 1 para testar calibraçao
	 $cotaLinha=$cota+1.2;
	 $pdf->SetFont('Times','B',8);
     //$cota+=10;
  	 //$cotaLinha+=10;


  
  
     for($L=1;$L<=$linhas;$L++)
	 {
	     $cotaLinha+=3.5;
    	 for($i=1;$i<=$colunas;$i++)
		 {
    		 $pdf->setXY($posicaox[$i],$cotaLinha);
			 //aqui vai colocar -N- se a pessoa optou por ocultar pureza(qualiteste 28/05/10))
			 $pdf->Cell($largo[$i],3.5,utf8_decode($vetor[$L][$i]),'0',1,'C');	
			 $pdf->Ln(-3.5);//-8 é pra ele imprimir na mesma linha
		 }
		 $pdf->Ln(0);
	 }
     //cria varias linhas horizontais e verticais deste setor
  
	 $cota6a=$cotaLinha+4.5;
     //2 linhas verticais grossas 
	 $pdf->SetLineWidth($medio); //usar espessura 1 para testar calibraçao
	 $pdf->line($posicaox[2],$cota+4.5,$posicaox[2],$cota7);
	 $pdf->line($posicaox[3],$cota+4.5,$posicaox[3],$cota7);
	 $pdf->SetLineWidth($fino); //usar espessura 1 para testar calibraçao
     $pdf->setXY($posicaox[1],$cota6a-1);
	 $pdf->Cell($largo[1],4.0,'(%)','1',1,'C');	
     $pdf->setXY($posicaox[2],$cota6a-1);
	 $pdf->Cell($largo[2],4.0,utf8_decode('(Nº)'),0,1,'C');	




	 $pdf->SetLineWidth($extraFino); //usar espessura 1 para testar calibraçao
     $pdf->setXY($posicaox[3],$cota6a-1);
	 $pdf->Cell($largo[3],4.0,'(%)','1',1,'C');	
	 #####################setor onde vao vao os identificadores das colunas################## 
	 $vetor="";
	 $cota=$cota6a;
	 $cota6b=$cota+4.5;
     $largo[1]=18;
     $largo[2]=18;
     $largo[3]=18;
     $largo[4]=27;
     $largo[5]=25;
     $largo[6]=21;
     $largo[7]=23;
     $largo[8]=22;
     $largo[9]=21;
     $posicaox[1]=10;
     $linhas=4;
     $colunas=9;
     for($i=2;$i<=$colunas;$i++)$posicaox[$i]=$posicaox[$i-1]+$largo[$i-1];  //calcula as posicoes 2,3,  somando as laruras
	 $vetor[1][1]="Sementes";
	 $vetor[1][2]="Material";
	 $vetor[1][3]="Outras";
     if($ocultarPureza=="SIM"): 
		 $vetorAmostraBruto[49]='-O-';//peso outras cultivares
	 endif; 
	 $vetor[1][4]="em " .$vetorAmostraBruto[49]." g."; 
	 $vetor[1][5]="Plântulas Normais"; 
	 $vetor[1][6]="Plântulas"; 
	 $vetor[1][7]="Sementes"; 
	 $vetor[1][8]="Sementes"; 
	 $vetor[1][9]="Sementes"; 

	 $vetor[2][1]="Puras";
	 $vetor[2][2]="Inerte";
	 $vetor[2][3]="Sementes"; 
	 $vetor[2][4]=""; 
	 $vetor[2][5]=""; 
	 $vetor[2][6]="Anormais"; 
	 $vetor[2][7]="Duras"; 
	 $vetor[2][8]="Dormentes"; 
	 $vetor[2][9]="Mortas"; 
	 $vetor[4][1]=$vetorAmostraBruto[4];//pureza
	 $valorPureza=$vetorAmostraBruto[4];//pureza
	 $vetor[4][2]=$vetorAmostraBruto[17];//mat inerte
	 $vetor[4][3]=$vetorAmostraBruto[18];//outras semenetes
	 $vetor[4][4]=$vetorAmostraBruto[15];//outras cultivares
     if($ocultarPureza=="SIM"): 
    	 $vetor[4][1]='-N-';//pureza
		 $vetor[4][2]='-N-';//mat inerte
		 $vetor[4][3]='-N-';//outras semenetes
		 $vetor[4][4]='-N-';//outras cultivares
	 endif; 
	 $vetor[4][5]=$vetorAmostraBruto[3];//normais
     $infecionadas=$vetorAmostraBruto[40];	 
     $deformadas=$vetorAmostraBruto[11];	 
     //$totalAnormais=$infecionadas+$deformadas;
	 $vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
     $totalAnormais=$vetorRaioX[64];
	 $statusAnaliseReanalise=$vetorRaioX[121];
	 	
	 if($vetorAmostraBruto[3]=='-N-') $totalAnormais="-N-";
	 $vetor[4][6]=$totalAnormais;//anormais
	 $vetor[4][7]=$vetorAmostraBruto[12];//duraa
	 $vetor[4][8]=$vetorAmostraBruto[13];//dormentes
	 $vetor[4][9]=$vetorAmostraBruto[14];//mortas
	 
 	 $pdf->SetLineWidth(0.2); //usar espessura 1 para testar calibraçao
	 //imprime os cabeçalhos das colunas
     for($linha=1;$linha<=2;$linha++):
		 $pdf->SetFont('Times','',7);
		 $cota+=3;
		 $pdf->setXY(10,$cota);
	     for($i=1;$i<=9;$i++):
			 $pdf->Cell($largo[$i],3,utf8_decode($vetor[$linha][$i]),0,0,'C');//imprime pureza com virgula 
	     endfor;  
     endfor;   	 
	 
     //aqui vai impirmir os 9 numeros de colunas
	 $pdf->SetFont('Arial','',6);
	 $cota+=3;
	 $pdf->setXY(10,$cota);
     for($i=1;$i<=9;$i++):
		 $pdf->Cell($largo[$i],3,$i,1,0,'C');//imprime pureza com virgula 
     endfor; 
	 
	  
     //aqui vai impirmir os 9 conteudos(RESULTADOS)
	 $cota+=3;
	 $pdf->setXY(10,$cota);
	 $pdf->SetFont('Times','',7);
	 

	 for($i=1;$i<=9;$i++):
	     //$pdf->line($posicaox[$i],$cota6b-1,$posicaox[$i],$cota7);//linhas separadoras verticais
         if($i<=3):
			
		     $valorItemPureza=$vetor[$L][$i];
			 if($statusAnaliseReanalise=="2"):
				$valorItemPureza='-N-';
			 endif;	
		     if($valorItemPureza=='-N-'  || $valorItemPureza=='TRAÇO'  || $valorItemPureza=='' ):
			     $pdf->Cell($largo[$i],8,utf8_decode($valorItemPureza),1,0,'C');//imprime pureza com virgula
			 else:
			     $pdf->Cell($largo[$i],8,number_format($vetor[$L][$i],1,",","."),1,0,'C');//imprime pureza com virgula
		     endif;		 	
	     else:
		     $pdf->Cell($largo[$i],8,$vetor[$L][$i],1,0,'C');//imprime restante
		 endif;		 
     endfor;
	 
	 //vai colocar linhas divisroias	verticais 
     $acumulado=10;
     for($i=1;$i<=8;$i++):
	     $acumulado+= $largo[$i];
		 $pdf->line($acumulado,$cota-9,$acumulado,$cota-3);
     endfor; 

     ########SETOR DESDE NATUREZA DO MATERIAL INERTE ATÉ  DATA DE CONCLUSAO DO TESTE DE GERMINACAO##############
	 $cota+=8;
     $pdf->setXY($margemEsquerda,$cota);
	 //casuismo barenbrug (a natureza do material inerte é informada de forma diferente)
     if($cliente=="BAREN"):
	 	$materialInerteFinal="";
	    $materialInerteLido=$vetorAmostraBruto[19];
	    list($r1,$r2,$r3,$r4,$r5,$r6)= explode(";", $materialInerteLido);
        if(strlen($r1)>0 && substr($r1,0,1)!=" " && substr($r1,0,1)!="-") $materialInerteFinal=$materialInerteFinal.'Carvão;';      
        if(strlen($r2)>0 && substr($r2,0,1)!=" " && substr($r2,0,1)!="-")  $materialInerteFinal=$materialInerteFinal.' Torrão;';         
        if(strlen($r3)>0 && substr($r3,0,1)!=" " && substr($r3,0,1)!="-")  $materialInerteFinal=$materialInerteFinal.' Palha;';        
        if(strlen($r4)>0 && substr($r4,0,1)!=" " && substr($r4,0,1)!="-")  $materialInerteFinal=$materialInerteFinal.' Palito;';          
        if(strlen($r5)>0 && substr($r5,0,1)!=" " && substr($r5,0,1)!="-")  $materialInerteFinal=$materialInerteFinal.' Terra;';      
        if(strlen($r6)>0 && substr($r6,0,1)!=" " && substr($r6,0,1)!="-")  $materialInerteFinal=$materialInerteFinal.' Mat.Aglomerante';
        if($materialInerteFinal==""):$materialInerteFinal='-N-';	endif;  
        //$materialInerteFinal=$materialInerteLido; 
		
		    
	 else:
        $materialInerteFinal=$vetorAmostraBruto[19];
		if($ocultarPureza=="SIM")$materialInerteFinal="-O-"; //material inerte
	 endif;	 
	 $pdf->Cell($larguraUtil,4,'Natureza do Material Inerte: '.utf8_decode($materialInerteFinal),'1',1,'L');
	 //linha intrmediaria
     $cota+=4;	 
     $pdf->setXY($margemEsquerda,$cota);
	 $pdf->Cell(70,4,'Substrato: '.utf8_decode($vetorAmostraBruto[54]),1,0,'L');	
  	 $pdf->Cell(35,4,utf8_decode('Temperatura(ºC): '.$vetorAmostraBruto[56]),1,0,'L');
	 	
	 //aqui pequeno ajuste para adv, que grava o aparelho depois de tratamento e separa por asterisco
	 //se outros fizerem o mesmo que adv, vai funfar igual
	 $tratamentoSalvo=$vetorAmostraBruto[55];//pega o valor original
	 list($tratamento) = explode("*", $tratamentoSalvo);//pega so o tratameto e nao o restante depois do asteridco  ex: soda*67 , vai pegar so soda
	 $pdf->Cell(88,4,'Tratamento Especial: '.utf8_decode($tratamento),1,0,'L');

	 
	 //ultima linha	
     $cota+=4; 
     $pdf->setXY($margemEsquerda,$cota);
	 //$pdf->Cell(105,4,utf8_decode('Data de Conclusão do Teste de Germinação:').date("m/d/Y",strtotime($vetorAmostraBruto[52])),1,0,'L');	
	 $pdf->Cell(105,4,utf8_decode('Data de Conclusão do Teste de Germinação: '). $vetorAmostraBruto[52],1,0,'L');
	 $pdf->Cell(88,4,utf8_decode('Duração do Teste de Germinação: '.$vetorAmostraBruto[53]),1,1,'L');

     //$cota7c=$cota7a+5;
     //linhas verticais separadoras	 
	 //$pdf->line(70,$cota7a,70,$cota7b);
	 //$pdf->SetLineWidth($medio); //usar espessura 1 para testar calibraçao
	 //$pdf->line($posicao2,$cota7a,$posicao2,$cota7c);
     //linhas horizontais separadoras	 
	 //$pdf->SetLineWidth($fino); //usar espessura 1 para testar calibraçao
	 //$pdf->line($margemEsquerda,$cota7a,$margemDireita,$cota7a);
	 //$pdf->line($margemEsquerda,$cota7b,$margemDireita,$cota7b);
	 //$pdf->line($margemEsquerda,$cota7c,$margemDireita,$cota7c);
     ###setor outras sementes por numero###########################################################
	 //$cota8=$cota7c;
     
     $vetor="";
	 $cota8a=$cota;
     $largo[1]=24;
     $largo[2]=24;
     $largo[3]=24;
     $largo[4]=24;
     $largo[5]=24;
     $largo[6]=24;
     $largo[7]=24;
     $largo[8]=25;
	 
	 $cota+=4;
	 $pdf->SetFont('Times','B',9);
     $pdf->setXY($margemEsquerda,$cota);
	 $pdf->Cell($largo[1]+$largo[2]+$largo[3]+$largo[4],4.5,utf8_decode('OUTRAS SEMENTES POR NÚMERO'),1,0,'C');
	 $pdf->Cell($largo[5]+$largo[6]+$largo[7]+$largo[8],4.5,utf8_decode('OUTRAS DETERMINAÇÕES'),1,1,'C');
	 
	 
	 
	 
     $posicaox[1]=10;
     $linhas=5;
     $colunas=8;
     for($i=2;$i<=$colunas;$i++):
	     $posicaox[$i]=$posicaox[$i-1]+$largo[$i-1];  //calcula as posicoes 2,3,  somando as laruras
     endfor;		 
	 $vetor[1][1]="Outras Espécies";
	 $vetor[1][2]="Sementes";
	 $vetor[2][1]="Cultivadas";
	 $vetor[2][2]="Silvestres";
	 $vetor[2][3]="Toleradas"; 
	 $vetor[2][4]="Proibidas"; 

     //OUTRAS DETERMINACOES//////////////////////////////
	 $idEspecie=$vetorDadosDocumento[28];
     //ACHA OS TITULOS NA HIPOTESE DE SER DETERMINACAOE NORMAIS QUE NAO SEJA PM1 QUE LEVA A UM CASO ESPECIAÇ
	 	 //titulos-cabecalhos de outras determinacoes 
	 //acha daddos da determinacaoes VAI ME TRAZER UMA MATRIZ BIDIMENSIONALxxxxxxxxx
	 $matrizTitulosDetes=$objetocalculo->achaTitulosDetes($idEspecie,$idLabo,'deteboletim');	 
	 //primeira linha de titulo
	 $vetor[1][5]=$matrizTitulosDetes[1][1];
	 $vetor[1][6]=$matrizTitulosDetes[1][2];
	 $vetor[1][7]=$matrizTitulosDetes[1][3];
	 $vetor[1][8]=$matrizTitulosDetes[1][4];
	 //segunda linha de titulo
	 $vetor[2][5]=$matrizTitulosDetes[2][1];
	 $vetor[2][6]=$matrizTitulosDetes[2][2];
	 $vetor[2][7]=$matrizTitulosDetes[2][3];
	 $vetor[2][8]=$matrizTitulosDetes[2][4];
     //terceira linha de titulo
	 $vetor[3][5]=$matrizTitulosDetes[3][1];
	 $vetor[3][6]=$matrizTitulosDetes[3][2];
	 $vetor[3][7]=$matrizTitulosDetes[3][3];
	 $vetor[3][8]=$matrizTitulosDetes[3][4];


   	 //ENTRA DE QUAKQUER MANEIRA PARA ACHAR AS DETS DESTA ESPECIE PREPARANDO PARA VERIFICAR SE É PM1 A EXCESSAO PARA SOJA,TRIGO AVEIA ARROZ
     $genericaBoletimBoletim=new tabelagenerica();
	 $genericaBoletimBoletim->tabela="deteboletim";
	 $genericaBoletimBoletim->campos_valores = array(
			"dbo_sigla_dete1" => NULL,
			"dbo_sigla_dete2" => NULL,
			"dbo_sigla_dete3" => NULL,
			"dbo_sigla_dete4" => NULL,
		);
	 $genericaBoletimBoletim->extras_select =" where  dbo_lab=".$idLabo." && dbo_especie=".$idEspecie;
	 //echo $genericaBoletimBoletim->extras_select ;
	
     $genericaBoletimBoletim->selecionaCampos($genericaBoletimBoletim);
	 while ($resgenericaBoletimBoletim = $genericaBoletimBoletim->retornaDados()):
		$sigla[1]=$resgenericaBoletimBoletim->dbo_sigla_dete1;
		$sigla[2]=$resgenericaBoletimBoletim->dbo_sigla_dete2;
		$sigla[3]=$resgenericaBoletimBoletim->dbo_sigla_dete3;
		$sigla[4]=$resgenericaBoletimBoletim->dbo_sigla_dete4;
     endwhile;
     //ACHA LICALIZACAO DAS 4 DETERMINACOES
	 //situacao especial vigna em soja mas serve para aveia em trigo etc
	//pode colocar a vigna m qualqeur coluna com qalquer det, desde que as  primeira 5 letras do rotulo sejam VIGNA
	$posicaoDetVigna=0;
	if($sigla[1]=='PM1'):
	   $posicaoDetVigna=5;
	endif;
	if($sigla[2]=='PM1'):
	   $posicaoDetVigna=6;
	endif;
	if($sigla[3]=='PM1'):
	   $posicaoDetVigna=7;
	endif;
	if($sigla[3]=='PM1'):
	   $posicaoDetVigna=8;
	endif;
    //$vetorAmostraBruto[50]=str_replace(".",",",$vetorAmostraBruto[50]);
	//$vetorAmostraBruto[51]=str_replace(".",",",$vetorAmostraBruto[51]);
    
    $nomeComum=trim($nomeComum);
	if($nomeComum=='SOJA'):
		if($posicaoDetVigna>0):
		   $vetor[1][$posicaoDetVigna]="Vigna un-";
		   $vetor[2][$posicaoDetVigna]='guiculata';
		   $vetor[3][$posicaoDetVigna]="Nºem'". $vetorAmostraBruto[51]."g";
		endif;
	endif;
     if($nomeComum=='TRIGO'  || $nomeComum=='TRIGO DURO'   || $nomeComum=='TRITICALE'  || $nomeComum=='CENTEIO' || $nomeComum=='CEVADA'   || $nomeComum=='MISTURA DE CULTIVARES DE TRIGO'):
	 //if($nomeComum=='TRIGO'  || $nomeComum=='TRIGO DURO'):
		if($posicaoDetVigna>0):
		   $vetor[1][$posicaoDetVigna]='Aveias';
		   $vetor[2][$posicaoDetVigna]="Nºem" .$vetorAmostraBruto[50]."g";
		   $vetor[3][$posicaoDetVigna]="";
		endif;
	 endif;

	 if($nomeComum=='AVEIA PRETA'):
		if($posicaoDetVigna>0):
		   $vetor[1][$posicaoDetVigna]='Outras';
		   $vetor[2][$posicaoDetVigna]='aveias';
		   $vetor[3][$posicaoDetVigna]="Nºem" .$vetorAmostraBruto[50]."g";
		endif;
	 endif;
	 
	 // adv cadastrou uma especie estrnaha AVEIA-BRANCA OU AVEIA-AMARELA
     if($nomeComum!='AVEIA PRETA' && substr($nomeComum,0,5)=='AVEIA'):
		if($posicaoDetVigna>0):
		   $vetor[1][$posicaoDetVigna]='Avena';
		   $vetor[2][$posicaoDetVigna]='strigosa';
		   $vetor[3][$posicaoDetVigna]="Nºem" .$vetorAmostraBruto[50]."g";
		endif;
	 endif;
	 
	 
	 
	 /*
	 if($nomeComum=='AVEIA BRANCA' || $nomeComum=='AVEIA'  || $nomeComum=='AVEIA AMARELA'):
		if($posicaoDetVigna>0):
		   $vetor[1][$posicaoDetVigna]='Avena ';
		   $vetor[2][$posicaoDetVigna]='strigosa ';
		   $vetor[3][$posicaoDetVigna]="Nºem". $vetorAmostraBruto[50]."g";
		endif;
	 endif;
*/
	 if($nomeComum=='ARROZ' ):
		if($posicaoDetVigna>0):
		   $vetor[1][$posicaoDetVigna]='Outros ';
		   $vetor[2][$posicaoDetVigna]='arroz ';
		   $vetor[3][$posicaoDetVigna]="Nºem" .$vetorAmostraBruto[51]."g";
		endif;
	 endif;
     //$vetor[3][6]="L".$sigla[2].$nomeComum.$posicaoDetVigna;
	  

 for($i=1;$i<=8;$i++) $vetor[4][$i]=$i+9; //cria a numeraçao das colunas
	 $vetor[5][1]=$vetorAmostraBruto[7];
	 $vetor[5][2]=$vetorAmostraBruto[8];
	 $vetor[5][3]=$vetorAmostraBruto[9];
	 $vetor[5][4]=$vetorAmostraBruto[10];
	 
     //resultado de outras determinaçoes
	 $vetor[5][5]=$vetorAmostraBruto[21];
	 //$vetor[5][5]="col5";//$vetorAmostraBruto[21];
	 $vetor[5][6]=$vetorAmostraBruto[22];
     //gqato para resolver 111125
	 if($vetorDadosDocumento[1]=="32" &&  $vetorDadosDocumento[4]=="2025") $vetor[5][6]="1.0";
	 $vetor[5][7]=$vetorAmostraBruto[23];
	 $vetor[5][8]=$vetorAmostraBruto[24];
 
	 
	 $pdf->SetLineWidth(0.2); //usar espessura 1 para testar calibraçao
	 //$cotaLinha=$cota-3.5;
	 //$pdf->SetFont('Times','',7);
	
	
	 $pdf->SetLineWidth(0.2); //usar espessura 1 para testar calibraçao
	 //imprime os cabeçalhos das colunas
	 $cota+=2;
    

     for($linha=1;$linha<=3;$linha++):
		 $pdf->SetFont('Times','',7);
		 $cota+=3;
		 $pdf->setXY(10,$cota);
	     for($i=1;$i<=8;$i++):
		     $pdf->SetFont('Times','',7);
             if($linha==2 && ($i==4 || $i==3) ):
			     $pdf->Cell($largo[$i],3,utf8_decode($vetor[$linha][$i]),1,0,'C');//imprime pureza com virgula
		     else:
			     //se a determinacao for vigna ele distribui na primeira e segunda linha excrevendo em italico
     		     if(substr($vetor[1][$i],0,5) =='Vigna' && $linha<3) $pdf->SetFont('Times','I',7);
			     $pdf->Cell($largo[$i],3,utf8_decode($vetor[$linha][$i]),0,0,'C');//imprime pureza com virgula
			 
			 endif;		 
	     endfor;  
     endfor;   	 
     //aqui captura se foi -O- na coluna 

	 if($vetor[2][5]=="-O-")$vetor[5][5]='-N-';
	 if($vetor[2][6]=="-O-")$vetor[5][6]='-N-';
	 if($vetor[2][7]=="-O-")$vetor[5][7]='-N-';
	 if($vetor[2][8]=="-O-")$vetor[5][8]='-N-';
	 
	 
	 //imprime os cabeçalhos  das colunas especiais
	 $pdf->SetFont('Times','',7);
	 $pdf->setXY($margemEsquerda+$largo[1]+$largo[2],$cota-6.5);
	 $pdf->Cell($largo[3]+$largo[4],3.5,'Sementes nocivas',1,0,'C');//
     if($ocultarPureza=="SIM"): 
	    $vetorAmostraBruto[50]="-O-";//peso oesp
	    $vetorAmostraBruto[51]="-O-";//peso nocivas
	 endif;
   	 $pdf->setXY(10,$cota);
	 //$vetorAmostraBruto[50]=str_replace(".",",",$vetorAmostraBruto[50]);
	 //$vetorAmostraBruto[51]=str_replace(".",",",$vetorAmostraBruto[51]);
     
	 if($statusAnaliseReanalise=="2"):
		$vetorAmostraBruto[50]="-0-";
		$vetorAmostraBruto[51]="-0-";
	 endif;

	 $pdf->Cell($largo[1]+$largo[2],3,utf8_decode('(Nº) em '.$vetorAmostraBruto[50].' g'),'1',0,'C');	
	 $pdf->Cell($largo[3]+$largo[4],3,utf8_decode('(Nº) em '.$vetorAmostraBruto[51].' g'),'1',1,'C');//peso de nocivas
     
     //aqui vai impirmir os 8 numeros de colunas  de baixo que vao de 10 a 17
	 $pdf->SetFont('Arial','',6);
	 $cota+=3;
	 $pdf->setXY(10,$cota);
     for($i=1;$i<=8;$i++):
		 $pdf->Cell($largo[$i],3,$i+9,1,0,'C');//imprime numero das colunas
     endfor;  


    //vai achar quantidade de vigna de aveia de arroz,de outras coisas   casusimo in45 da determinacao PM!

      $indiceVetorNomesContaminantes=0;
      $somaOE=$vetorAmostraBruto[7];//
	  //$vetorRXOESP=$objetocalculoRaioX-> captura_registros_invasorasRX("1OES",$amostraLong);
	  //$limiteOESP=sizeof($vetorRXOESP)-1;
      //$vetor[5][6]="333".$somaOE;
      //$vetor[5][6]=$somaOE;
	  //$somaOEOto=$limiteOESP;
	  //$somaOE=$somaOEOto;
	  //$somaOE=1;
	  
	  if($somaOE>0):
	     $vetor[5][$posicaoDetVigna]=0;
	  	 $praga="";
		 $conteudo="";
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='1OES' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
		 //$conteudo="10-";
		 $somaQtdTrigo=0;//vai somar varias aveis strigozs bizantina etc
		 $somaQtdAveiaStrigosa=0;//vi somar varias aveias branca amarela etc
		 $somaQtdArroz=0;//pode ter arroz preto e arroz vermelho
		 $quantidadeExcecao=0;
         //$indiceVetorNomesContaminantes=0;	
		 $pragaExcecao="";	 
	     while ($resgenerica = $generica->retornaDados()):
		     $praga=$resgenerica->con_nome_cientifico; //captura o contaminante tal qual foi gravado
		     $qtd=$resgenerica->inv_qtd; //captura a quantidade
             //$pragaComQuantidade=$praga."(".$qtd.")";
             $pragaOespImprimir="10-".$praga;
             $prosicaoRealExcecao=$posicaoDetVigna+9;
            //os casuismos do lanagro rs 
			if($posicaoDetVigna>0):
			 
             if($nomeComum=='SOJA'):
              if(substr($praga,0,5)=='Vigna'):
                $quantidadeExcecao+=$qtd;
				$pragaOespImprimir=$prosicaoRealExcecao."-" .$praga;
                $vetor[5][$posicaoDetVigna]=$quantidadeExcecao; //aqui joga na coluna excecao a soma do que achou   
                $vetor[5][1]=$somaOE-$quantidadeExcecao;//coloca na coluna de oesp
              endif;//testa apraga 
			 endif;//testa a(s) especie(s)

             if($nomeComum=='AVEIA BRANCA' || $nomeComum=='AVEIA' ||$nomeComum=='AVEIA AMARELA' ):
              if(substr($praga,0,14)=='Avena strigosa' ):
                $quantidadeExcecao+=$qtd;
				$pragaOespImprimir=$prosicaoRealExcecao."-" .$praga;
                $vetor[5][$posicaoDetVigna]=$quantidadeExcecao; //aqui joga na coluna excecao a soma do que achou   
                $vetor[5][1]=$somaOE-$quantidadeExcecao;//coloca na coluna de oesp
              endif;//testa apraga 
			 endif;//testa a(s) especie(s)
             
             if($nomeComum=='TRIGO' || $nomeComum=='TRIGO DURO' || $nomeComum=='CENTEIO' || $nomeComum=='CEVADA' || $nomeComum=='TRITICALE'   || $nomeComum=='MISTURA DE CULTIVARES DE TRIGO'):
              if(substr($praga,0,5)=='Avena' ):
                $quantidadeExcecao+=$qtd;
				$pragaOespImprimir=$prosicaoRealExcecao."-" .$praga;
                $vetor[5][$posicaoDetVigna]=$quantidadeExcecao; //aqui joga na coluna excecao a soma do que achou   
                $vetor[5][1]=$somaOE-$quantidadeExcecao;//coloca na coluna de oesp
              endif;//testa apraga 
			 endif;//testa a(s) especie(s)
			 
             if(substr($nomeComum,0,5)=='ARROZ' ):
              if(substr($praga,0,5)=='Oryza' ):
                $quantidadeExcecao+=$qtd;
				$pragaOespImprimir=$prosicaoRealExcecao."-" .$praga;
                $vetor[5][$posicaoDetVigna]=$quantidadeExcecao; //aqui joga na coluna excecao a soma do que achou   
                $vetor[5][1]=$somaOE-$quantidadeExcecao;//coloca na coluna de oesp
              endif;//testa apraga 
			 endif;//testa a(s) especie(s)

             if(substr($nomeComum,0,11)=='AVEIA PRETA' ):
              if(substr($praga,0,5)=='Avena' ):
                $quantidadeExcecao+=$qtd;
				$pragaOespImprimir=$prosicaoRealExcecao."-" .$praga;
                $vetor[5][$posicaoDetVigna]=$quantidadeExcecao; //aqui joga na coluna excecao a soma do que achou   
                $vetor[5][1]=$somaOE-$quantidadeExcecao;//coloca na coluna de oesp
              endif;//testa apraga 
			 endif;//testa a(s) especie(s)

            endif;//verifica se posicao dete vidgna para aquela especie é maior que zero
             /////vai jogar os contaminantes no desctitivo das oesp
             $indiceVetorNomesContaminantes++;
			 $tama=strlen($pragaOespImprimir);//mede o tamanho
             //testa se no final tem sp
			 //$pragaOespImprimir="testexxx";
			 $rabichoSP=substr($pragaOespImprimir,$tama-2);//captura as duas ultimas letras
			 if($rabichoSP=='sp')://pegurnta se é sp as ultimas letras
                $praga=substr($pragaOespImprimir,0,$tama-2).']'.$rabichoSP; //se for =sp coloca um ]fechador  e o rabicho
				$rabichoFinal=$rabichoSP;			 
			 endif;
			 //testa se no final tem spp
			 $rabichoSPP=substr($pragaOespImprimir,$tama-3);//captura as duas ultimas letras
			 if($rabichoSPP=='spp')://pegurnta se é sp as ultimas letras
                $praga=substr($pragaOespImprimir,0,$tama-3).']'.$rabichoSPP; //se for =sp coloca um ]fechador  e o rabicho
				$rabichoFinal=$rabichoSPP;			 
			 endif;
			 
             $pragaOespImprimir='['.$pragaOespImprimir.']'; //coloca um abridor antes e um fechador depois quuando tem sp vai aparecer 2 fechadores mas nao em problema			 
	    	 $conteudo=$conteudo.$pragaOespImprimir." (".$resgenerica->inv_qtd.");";
             
	         $tamanhoStringFinal=strlen($conteudo);
			 
		     $base[$indiceVetorNomesContaminantes]=$conteudo;
		     $conteudo="";
			 // fim do descritovo das oesp
		 endwhile;//rolador de todas oesp
		 //$conteudo="";
		 $praga="";
	  else: //caso nao tenha encontrado oesp	coloca zero quantidade para vigna ou outra das excecoes
	     $vetor[5][$posicaoDetVigna]=0;
		 //
      endif;//pesquisa se é OE>0
	  
     /////////fim da soma das quantidades de vigna e outros  itens///////////////////


     //aqui vai impirmir os 8 conteudos dasc olunas numerdas de 10 a 17
     //aqui cria um aretificio - se peureza foi -N- a posicao 5 tembem sera
	 if($valorPureza=='-N-'):
        if($vetor[5][5]=="")$vetor[5][5]="-N-";
     endif;
    

	 //$vetor[5][5]=$valorPureza;
       //enxerto isso aqui eu puxei da classe calculos vetormegaamostra pois trouxe -n- np dia 270225////////////////
     //vai somar os totais por grupo
	 $somaOE=0;
	 $somaSI=0;
	 $somaTO=0;
	 $somaPR=0;
	 $somaPQ=0;
	 //ENTRA DE QUAKQUER MANEIRA
	 $generica=new tabelagenerica();
     $generica->tabela="invasoras,contaminantes";
	 $generica->campos_valores = array(
			"inv_qtd" => NULL,
			"inv_codigo" => NULL,
			"con_nome_cientifico" => NULL,
		);
     $generica->extras_select =" where  inv_cod_praga=con_id and  inv_amostra=".$amostraLong;
     $generica->selecionaCampos($generica);
	 $contaContaminantes=0;
	 $vetorContaminante="";
     while ($resgenerica = $generica->retornaDados()):
	    if($resgenerica->inv_codigo=="1OES")$somaOE+=$resgenerica->inv_qtd;
	    if($resgenerica->inv_codigo=="2SIL")$somaSI+=$resgenerica->inv_qtd;
	    if($resgenerica->inv_codigo=="3NOT")$somaTO+=$resgenerica->inv_qtd;
	    if($resgenerica->inv_codigo=="4NOP")$somaPR+=$resgenerica->inv_qtd;
	    if($resgenerica->inv_codigo=="5QUA")$somaPQ+=$resgenerica->inv_qtd;
		$contaContaminantes++;
		$somaPR_GARANTIDA=$somaPR;
		$vetorContaminante[$contaContaminantes]=$resgenerica->con_nome_cientifico.'('.$resgenerica->inv_qtd.')';
	 endwhile;
     //final do enxerto///////////////////////////////////////////////////////////////////////////////////////////
  
 
 
 
	 $cota+=3;
	 $pdf->setXY(10,$cota);
	 $pdf->SetFont('Times','',7);
	 //$vetor[5][8]='dafo';
	 
	 $vetor[5][4]=$somaPR;
	 
	 //if($vetor[5][3]=="-N-")$vetor[5][4]="-N-".$vetor[5][3].strlen($vetor[5][3]);//se toleradas for -N- entao proibida tambem sera
	 //aqui ele poe -N- nas primeiras 4 primeiras colunas   se for reanalise
	 if($statusAnaliseReanalise=="2"):
		for($ii=1;$ii<=4;$ii++):
             $vetor[5][$ii]="-N-";
		endfor; 
		 //$vetor[5][3]="300";
     endif;
	 //$vetor[5][3]="200";


	 //aqui imprime a segunda linha de resultados
	 //$vetor[5][6]=1121;
	 for($i=1;$i<=8;$i++):
		 if($i==4  &&  $vetor[5][3]=="-N-"):
		      $vetor[5][4]="-N-";//se toleradas for -N- entao proibida tambem sera
		 endif;
		    if($vetor[5][3]=="0"):
		         $vetor[5][4]="0";
		     endif;
         //$pdf->Cell($largo[$i],8,$statusAnaliseReanalise."zze".$vetor[5][$i],1,0,'C');//imprime restante 
         $pdf->Cell($largo[$i],8,$vetor[5][$i],1,0,'C');//imprime restante 
	 endfor;
	 
	 
//vai colocar linhas divisroias	verticais 
     $acumulado=10;
     for($i=1;$i<=8;$i++):
	     $acumulado+= $largo[$i];
		 if($i==1 ) $pdf->line($acumulado,$cota-12.5,$acumulado,$cota-6);
		 if($i>4) $pdf->line($acumulado,$cota-12.5,$acumulado,$cota-3);

     endfor; 

	//contaminantes
	//$indiceVetorNomesContaminantes=0;
	//so entra se tiver sislvestre
    $somaOE=$vetorAmostraBruto[7];//
    $somaSI=$vetorAmostraBruto[8];//
    $somaTO=$vetorAmostraBruto[9];//
    $somaPR=$vetorAmostraBruto[10];//
    //enxerto isso aqui eu puxei da classe calculos vetormegaamostra pois trouxe -n- np dia 270225////////////////
     //vai somar os totais por grupo
	 $somaOE=0;
	 $somaSI=0;
	 $somaTO=0;
	 $somaPR=0;
	 $somaPQ=0;
	 //ENTRA DE QUAKQUER MANEIRA
	 $generica=new tabelagenerica();
     $generica->tabela="invasoras,contaminantes";
	 $generica->campos_valores = array(
			"inv_qtd" => NULL,
			"inv_codigo" => NULL,
			"con_nome_cientifico" => NULL,
		);
     $generica->extras_select =" where  inv_cod_praga=con_id and  inv_amostra=".$amostraLong;
     $generica->selecionaCampos($generica);
	 $contaContaminantes=0;
	 $vetorContaminante="";
     while ($resgenerica = $generica->retornaDados()):
	    if($resgenerica->inv_codigo=="1OES")$somaOE+=$resgenerica->inv_qtd;
	    if($resgenerica->inv_codigo=="2SIL")$somaSI+=$resgenerica->inv_qtd;
	    if($resgenerica->inv_codigo=="3NOT")$somaTO+=$resgenerica->inv_qtd;
	    if($resgenerica->inv_codigo=="4NOP")$somaPR+=$resgenerica->inv_qtd;
	    if($resgenerica->inv_codigo=="5QUA")$somaPQ+=$resgenerica->inv_qtd;
		$contaContaminantes++;
		$somaPR_GARANTIDA=$somaPR;
		$vetorContaminante[$contaContaminantes]=$resgenerica->con_nome_cientifico.'('.$resgenerica->inv_qtd.')';
	 endwhile;



     //final do enxerto///////////////////////////////////////////////////////////////////////////////////////////





	//$somaOEOto=$somaOE;
    //$somaPR=200;
//$indiceVetorNomesContaminantes=2;
	if($somaSI>0):
	     $praga="";
		 $conteudo="";
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='2SIL' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
		 $conteudo="11-";

	     while ($resgenerica = $generica->retornaDados()):
	    	 $praga=$resgenerica->con_nome_cientifico; //captura o contaminante tal qual foi gravado
			 $tama=strlen($praga);//mede o tamanho
             //testa se no final tem sp
			 $rabichoSP=substr($praga,$tama-2);//captura as duas ultimas letras
			 if($rabichoSP=='sp')://pegurnta se é sp as ultimas letras
                $praga=substr($praga,0,$tama-2).']'.$rabichoSP; //se for =sp coloca um ]fechador  e o rabicho
				$rabichoFinal=$rabichoSP;			 
			 endif;
			 //testa se no final tem spp
			 $rabichoSPP=substr($praga,$tama-3);//captura as duas ultimas letras
			 if($rabichoSPP=='spp')://pegurnta se é sp as ultimas letras
                $praga=substr($praga,0,$tama-3).']'.$rabichoSPP; //se for =sp coloca um ]fechador  e o rabicho
				$rabichoFinal=$rabichoSPP;			 
			 endif;
             $praga='['.$praga.']'; //coloca um abridor antes e um fechador depois quuando tem sp vai aparecer 2 fechadores mas nao em problema			 
	    	 $conteudo=$conteudo.$praga." (".$resgenerica->inv_qtd.");";
			 //aqui o gato quebrador caso ja estiver muito longo
	         $tamanhoStringFinal=strlen($conteudo);
             if($tamanhoStringFinal>130):
				 $indiceVetorNomesContaminantes++;
			     $base[$indiceVetorNomesContaminantes]=$conteudo;
			     $conteudo="";
			 endif;
		 endwhile;
		 $indiceVetorNomesContaminantes++;
	     $base[$indiceVetorNomesContaminantes]=$conteudo;
	endif;

	if($somaTO>0):
		 $praga="";
		 $conteudo="";
		 //ENTRA SO SE TIVER tolerada
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='3NOT' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
		 $conteudo="12-";
	     while ($resgenerica = $generica->retornaDados()):
		     $praga=$resgenerica->con_nome_cientifico; //captura o contaminante tal qual foi gravado
			 $tama=strlen($praga);//mede o tamanho
             //testa se no final tem sp
			 $rabichoSP=substr($praga,$tama-2);//captura as duas ultimas letras
			 if($rabichoSP=='sp')://pegurnta se é sp as ultimas letras
                $praga=substr($praga,0,$tama-2).']'.$rabichoSP; //se for =sp coloca um ]fechador  e o rabicho
				$rabichoFinal=$rabichoSP;			 
			 endif;
			 //testa se no final tem spp
			 $rabichoSPP=substr($praga,$tama-3);//captura as duas ultimas letras
			 if($rabichoSPP=='spp')://pegurnta se é sp as ultimas letras
                $praga=substr($praga,0,$tama-3).']'.$rabichoSPP; //se for =sp coloca um ]fechador  e o rabicho
				$rabichoFinal=$rabichoSPP;			 
			 endif;
             $praga='['.$praga.']'; //coloca um abridor antes e um fechador depois quuando tem sp vai aparecer 2 fechadores mas nao em problema			 
	    	 $conteudo=$conteudo.$praga." (".$resgenerica->inv_qtd.");";
			 //aqui o gato quebrador caso ja estiver muito longo
	         $tamanhoStringFinal=strlen($conteudo);
             if($tamanhoStringFinal>130):
				 $indiceVetorNomesContaminantes++;
			     $base[$indiceVetorNomesContaminantes]=$conteudo;
			     $conteudo="";
			 endif;
		 endwhile;
		 $indiceVetorNomesContaminantes++;
	     $base[$indiceVetorNomesContaminantes]=$conteudo;
		 //AQUI VAI RACHAR O NOME caso for muito comprido
	     //$tamanhoStringFinal=strlen($conteudo);
		 //$base[$indiceVetorNomesContaminantes]=substr($conteudo,0,50).$tamanhoStringFinal;
		 
		 
		 
	endif;
	 
	if($somaPR>0):
		 $praga="";
		 $conteudo="";
		 //ENTRA SO SE TIVER proibida
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='4NOP' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
		 $conteudo="13-";
	     while ($resgenerica = $generica->retornaDados()):
			 $praga=$resgenerica->con_nome_cientifico; //captura o contaminante tal qual foi gravado
			 $tama=strlen($praga);//mede o tamanho
             //testa se no final tem sp
			 $rabichoSP=substr($praga,$tama-2);//captura as duas ultimas letras
			 if($rabichoSP=='sp')://pegurnta se é sp as ultimas letras
                $praga=substr($praga,0,$tama-2).']'.$rabichoSP; //se for =sp coloca um ]fechador  e o rabicho
				$rabichoFinal=$rabichoSP;			 
			 endif;
			 //testa se no final tem spp
			 $rabichoSPP=substr($praga,$tama-3);//captura as duas ultimas letras
			 if($rabichoSPP=='spp')://pegurnta se é sp as ultimas letras
                $praga=substr($praga,0,$tama-3).']'.$rabichoSPP; //se for =sp coloca um ]fechador  e o rabicho
				$rabichoFinal=$rabichoSPP;			 
			 endif;
             $praga='['.$praga.']'; //coloca um abridor antes e um fechador depois quuando tem sp vai aparecer 2 fechadores mas nao em problema			 
	    	 $conteudo=$conteudo.$praga." (".$resgenerica->inv_qtd.");";
			 //aqui o gato quebrador caso ja estiver muito longo
	         $tamanhoStringFinal=strlen($conteudo);
             if($tamanhoStringFinal>130):
				 $indiceVetorNomesContaminantes++;
			     $base[$indiceVetorNomesContaminantes]=$conteudo;
			     $conteudo="";
			 endif;
		 endwhile;
		 $indiceVetorNomesContaminantes++;
	     $base[$indiceVetorNomesContaminantes]=$conteudo;
	endif;
	 
	 
	 
     ###########setor de OUTRAS SEMENTES POR NUMERO IDENTIFICACAO#####################     
	 $pdf->SetFont('Times','B',9);
     $pdf->setXY($margemEsquerda,$cota9);
	 $pdf->Cell(200,4.5,utf8_decode('OUTRAS SEMENTES POR NÚMERO(Identificação e nº de sementes)'),'0',1,'L');
     $cotaLocal=$cota9+4.5;

	 $parametroAltura=3.5;
     for($i=1;$i<=9;$i++):
	     //if($base[$i]=="")$base[$i]="dafo".$i;
         if($base[$i]!=""):
			 $pdf->setXY($margemEsquerda,$cotaLocal);
             $texto=$base[$i]; 
			 //$catifunda="italico";
             //if(substr($texto,4,19)=='Não identificada')$catifunda='Normal'	;		 	
             //$captura=substr($texto,4,3);	
			 //if($captura=='Nao')$catifunda='normal'; 	 	
             $tamaGeral=strlen($texto); 
			 $pdf->SetFont('Times','',8);
			 //vai imprimir caracter por caracter alternando entre italico e nao italico
			 //sendo italico depois do caractar [ e nao italico depois de ]
             //$montaSubTexto="";
             for($letra=0;$letra<=$tamaGeral;$letra++):                 
                //se achar um abridor [ vai passar para italico
				$caracter=substr($texto,$letra,1);
                //$montaSubTexto= $montaSubTexto.$caracter;               
				$teste=0;
				if($caracter=='['):
 			        $pdf->SetFont('Times','I',8);//aqui vai italico
					$teste=1;
                    //$tama=strlen($montaSubTexto);
				endif;

				if($caracter==']'   ):
 			        $pdf->SetFont('Times','',8);
					$teste=1;
                    //$tama=strlen($montaSubTexto);
				endif;
				//aqui faz um casuismo pois algumas letras sao muito estreitas e ficava um espaco esquisito
                $largura=1.5;
                if($caracter=="l" || $caracter=="r"  || $caracter=="i"  || $caracter=="t"   || $caracter=="s"   || $caracter=="y" )$largura=1;
                if($caracter=="m")$largura=1.8;
				if(substr($texto,4,3)=="Nao") $pdf->SetFont('Times','',8); //nao escrever em italico NAO IDENTIFICADA
			
	    	    if($teste!=1) $pdf->Cell($largura,$parametroAltura,utf8_decode($caracter),0,0,'L');
			 endfor;
			 $cotaLocal+=$parametroAltura;
		 endif;   
	 endfor;
	 //para o baren o -0- vai ate o final da linha...
     if($cliente=="BAREN"):
	     $tracoBola="-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-";
     else:     
	     $tracoBola="-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-o-";
     endif;

	 $pdf->setXY($margemEsquerda,$cotaLocal);
	 $pdf->SetFont('Times','',8);
   	 $pdf->Cell(200,4.5,$tracoBola,'0',1,'L');
	 //final de contaminantes e inicio de observacoes
	 
	 //existem 8 linhas ao criar o boletim mas so barenbrug pediu para imprimir todas
	 $formato8LinhasDeObservacoes='SIM';
	 if($cliente=='BAREN') $formato8LinhasDeObservacoes='SIM';
     if($formato8LinhasDeObservacoes=='SIM'):
        $limiteLinhas=8;
		$cota10-=10;
     else:
        $limiteLinhas=5;
	 endif;    	 
	 $cota10=200;//fixei em 14/0720 para poder colocar qrcode
	 $pdf->line($margemEsquerda,$cota10,$margemDireita,$cota10);//linha divisoria entre contaminantes e observacoes
	 
     #####################OBSERVACOES###############
     #####################OBSERVACOES###############
	 
	 
	 $pdf->SetFont('Times','B',9);
     $pdf->setXY($margemEsquerda,$cota10-0.7);
	 $pdf->Cell(200,4.5,utf8_decode('OBSERVAÇÕES'),'0',1,'L');
	 $pdf->SetFont('Times','',8);
	 $parametro=2.5;
	 if($cliente=='BAREN')$parametro=4.4;
	 if($cliente=='UFLA')$parametro=4;
     $cotaLocal=$cota10+$parametro;
     //VAI PERCORRER TODAS LINHAS
	 for($i=1;$i<=$limiteLinhas;$i++):
         $imprimeItalico='NAO';
		 $pdf->setXY($margemEsquerda,$cotaLocal);
	     $volatil=$i+18;
         $texto=$vetorDadosDocumento[$volatil];
		 $tama=strlen($texto);
		 $posicaoColchete=0;
		 if($tama>1):
		     //VAI PERGUNTAR SE vai impirmi com italico, talves eu terire logo este if
			 //$conteudoParcial=$conteudoParcial.$stringAtomica;
	         //if($stringAtomica=="[")$pdf->SetFont('Times','I',9);
	         //if($stringAtomica=="]")$pdf->SetFont('Times','',9);
		     //if($stringAtomica!='['  && $stringAtomica!=']'):
			 //se ele acha um colchete abrindo,  ele vai imprimir italico
			 $posicaoColchete=strpos($texto,'[');
			 if($posicaoColchete>0)$imprimeItalico='SIM';
	     	 if($imprimeItalico=='SIM'):
			     //procura pelo primeiro [
                 $conteudoParcial="";
				 for($posi=1;$posi<=$tama;$posi++):
                    $stringAtomica=substr($texto,$posi,1);
					//so vai concatenar se nao for colchetes
					if($stringAtomica!='[' &&  $stringAtomica!=']')$conteudoParcial=$conteudoParcial.$stringAtomica;
				    if($stringAtomica=="["):
					    $parte1=$conteudoParcial;
                        $conteudoParcial="";
                    endif;					
				    if($stringAtomica=="]"):
					    $parte2=$conteudoParcial;
                        $conteudoParcial="";
                    endif;					
				    //if($stringAtomica=="]")$pdf->SetFont('Times','',9);
					//if($stringAtomica!='['  && $stringAtomica!=']'):
		    	    //   $pdf->Cell(1,4.5,utf8_decode($stringAtomica),0,0,'L');
					//endif;   
                 endfor;
  			     $parte3=$conteudoParcial;
			     $cotaLocal+=$parametro;//incrementa se realmente tem texto dentro
				 //$parte1="Foram encontradas sementes de ";
				 //$parte2="Vigna unguiculata ";
				 //$parte3="sp determinadas em 1000g.";
				 $pdf->SetX($margemEsquerda,$cotaLocal);
				 //mede o tamanho em milimetros de cada parte
				 $tamanho_mm=$objetocalculo->calculaTamanhoMM($parte1);
		    	 $pdf->Cell($tamanho_mm,$parametro,utf8_decode($parte1),0,0,'L');
	             $pdf->SetFont('Times','I',8);
				 $tamanho_mm=$objetocalculo->calculaTamanhoMM($parte2);
		    	 $pdf->Cell($tamanho_mm,$parametro,utf8_decode($parte2),0,0,'L');
	             $pdf->SetFont('Times','',8);
				 $tamanho_mm=$objetocalculo->calculaTamanhoMM($parte3);
		    	 $pdf->Cell($tamanho_mm,$parametro,utf8_decode($parte3),0,0,'L');
		    	
             else:
			     //aqui imprime do jeito tradicional, sem tratamento de italicao 
		    	 $pdf->Cell(200,$parametro,utf8_decode($texto),'0',1,'L');
			     $cotaLocal+=$parametro;//incrementa se realmente tem texto dentro
			 endif;   
         endif;
	 endfor;//

     //aqui vai colocar uma observacao para qualiteste se la escolheu TRA para aquela amostra	 
	 if($cliente=="QUALITESTE"):
	     $testesConcatenados="-".$vetorAmostraBruto[44];//coloquei um espaco antes para que a primeira posicao encontrada nao ficar valendo zero nunca
		 if(strpos($testesConcatenados,'TRA')>0):
		    $pdf->Cell(200,$parametro,utf8_decode('Testes realizados em sementes tratadas.'),'0',1,'L');
     	    $cotaLocal+=$parametro;//incrementa se realmente tem texto dentro
		    $pdf->setXY($margemEsquerda,$cotaLocal);
		 endif;//testa se te, tra	
         $observacoesFicha=$vetorAmostraBruto[37];
		 if(strlen($observacoesFicha)>1):
            //se for qualiteste e nao tiver colocado algo em observacao1 entao coloca observacao1=observacaoficha
		    $pdf->Cell(200,$parametro,utf8_decode($observacoesFicha),'0',1,'L');
     	    $cotaLocal+=$parametro;//incrementa se realmente tem texto dentro
		    $pdf->setXY($margemEsquerda,$cotaLocal);
         endif; 
	 endif;//se o cliente é qualiteste
	 
	 //de toda maneira coloca o fechamanto na cota calculada
	 $pdf->Cell(200,4.5,$tracoBola,'0',1,'L');	 
     $cota11=226;  
     if($cliente=='BAREN')$cota11=244;  
     $cota11=244;  
	 
     #####################NOTAS ###############
	 $pdf->line($margemEsquerda,$cota11,$margemDireita,$cota11);
	 $pdf->SetFont('Times','B',9);
     $pdf->setXY($margemEsquerda,$cota11);
	 $pdf->Cell(85,4.5,'NOTAS:','0',1,'L');
	 $pdf->SetFont('arial','',7);
     $pdf->Ln(0);
	 $pdf->Cell(85,3,utf8_decode('1-A identificação da amostra é de exclusiva responsabilidade do remetente.'),'0',1,'L');
	 //$pdf->Cell(85,3,'remetente.','0',1,'L');
	 $pdf->Cell(85,3,utf8_decode('2-A presente análise tem seu valor restrito à amostra entregue ao laboratório.'),'0',1,'L');
	 //$pdf->Cell(85,3,utf8_decode('laboratório.'),'0',1,'L');
	 $pdf->Cell(85,3,utf8_decode('3-Métodos de análise segundo as RAS em vigor ou outro informado no campo observações.'),'0',1,'L');
	 //$pdf->Cell(85,3,"0703".$imprimeItalico.$limiteLinhas.$cliente.$formato8LinhasDeObservacoes ,'0',1,'L');
	 
	 ///////////////////////////
	 $numeroVias=$sessao->getvar('controle2');
	 if($numeroVias>1):
	     $viaAtual=$sessao->getvar('controle1');
		 $viaAtual++;
	     $sessao->setVar('controle1',$viaAtual);
		 $viaFinal=$viaAtual.'ª via';
         
	 else:
	     $viaAtual=1;
         $viaFinal=$sessao->getvar('controle1');
     endif;	
	     //vai encerrar a sessao ao findar as vias a serem impressas
		 if($viaAtual>=$numeroVias):
		   $sessao->setVar('digital',"xxx");//precisa limpar a sessao senao mesmo que nao marcar a sessao continua com valor=SIM
	     endif; 
	 
	 //se estou mandando fazer mais de uma via pela opção mesclado entao prioriza o mesclado
     if($viasMescladas>1):	 
		 $viaFinal=$mescladas.'ª via';
     endif;	
	 
	//VAI ACESSAR A CLASSE E PREPARA O NOME DO ARQUIVO
	if($digital=='SIM'):
		$objetoEncriptar=new encriptar();
		$amostraEncriptada=$objetoEncriptar->certificado($idDoc.$viaFinal);
	endif;
	  
     //////////////




     if(strlen($amostraEncriptada)>1):
		 $pdf->Cell(85,3,utf8_decode('Para imprimir este certificado digital acesse: www.gugeler.net Link Certificado digital'),'0',1,'L');
		 $pdf->Cell(85,3,utf8_decode($amostraEncriptada),1,1,'L');
     endif;


	 //$pdf->Cell(85,3,utf8_decode('observações.'),'0',1,'L');



	 
     #####################LOCAL DATA###############
	 $posicao2=115;
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
	 if($imprimeBranco=='SIM')$vetorTecnico="";
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	
	 ////////
	 $cotrole11=$sessao->getVar('controle11'); 
	 /////////
	 if($assinaturaAtivada=='SIM'   &&  $cotrole11!='ASSINATURADESATIVADA'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
         //se o cliente é o barem entao vai colocar uma assinatura de formato diferente(pode acontecer com outros))
         if($cliente=='BAREN'):
    		 $pdf->Image($caminhoFinalTecnico,145,$cota11+4,30,17,'JPG');
         else:
    		 $pdf->Image($caminhoFinalTecnico,125,$cota11+7,61,14,'JPG');
		 endif;
     endif;

	 $pdf->SetFont('Times','',8);
     $pdf->setXY($posicao2,$cota11);
	 $pdf->Cell(85,4.5,utf8_decode($vetorCabecalho[6].", ".$vetorDadosDocumento[27]) ,'0',1,'L');

	 //$pdf->Cell(85,4.5,'xxxxx'.", ".$vetorDadosDocumento[27] ,'0',1,'L');
     //linha da assinatura nem todos querem isso
	 if($cliente=='BAREN'):
    	 $pdf->line($posicao2+10,$cota11+19,$posicao2+70,$cota11+18);
	 endif;
	 
     $cota11Acumulada=$cota11+15;
	 $pdf->SetFont('Times','',8);
     $pdf->setXY($posicao2,$cota11Acumulada);
	 
	 $pdf->Cell(88,$parametro,utf8_decode($vetorTecnico[0]),'0',1,'C');
     $cota11Acumulada+=$parametro;
     $pdf->setXY($posicao2,$cota11Acumulada);
	 $pdf->Cell(88,$parametro,utf8_decode($vetorTecnico[1]),'0',1,'C');
	 $cota11Acumulada+=$parametro;
     $pdf->setXY($posicao2,$cota11Acumulada);
	 $pdf->Cell(88,$parametro,' CREA:'.utf8_decode($vetorTecnico[2]).'  RENASEM:'.utf8_decode($vetorTecnico[3]),'0',1,'C');
	 $cota11Acumulada+=$parametro;
	 $pdf->setXY($posicao2,$cota11Acumulada);
	 $pdf->Cell(88,$parametro,utf8_decode($vetorTecnico[7]),'0',1,'C');
	 
	 //LINHA VERTICA  SEPARADORA
     if($cliente=='BAREN'):	 
	    $pdf->line($posicao2,$cota11,$posicao2,$cotaFinal+10);
	 else:
	    $pdf->line($posicao2,$cota11,$posicao2,$cotaFinal+10);//estava -10
	 endif;
	 //numero da via
	 $afastaVia=180;
     if($cliente=='BAREN')$afastaVia=190;
	 $pdf->setXY($afastaVia,$cotaVia);
	 $pdf->SetFont('Times','B',12);
	 
	 $numeroVias=$sessao->getvar('controle2');
	 if($numeroVias>1):
	     $viaAtual=$sessao->getvar('controle1');
		 $viaAtual++;
	     $sessao->setVar('controle1',$viaAtual);
		 $viaFinal=$viaAtual.'ª via';
         
	 else:
	     $viaAtual=1;
         $viaFinal=$sessao->getvar('controle1');
     endif;	
	     //vai encerrar a sessao ao findar as vias a serem impressas
		 if($viaAtual>=$numeroVias):
		   $sessao->setVar('digital',"xxx");//precisa limpar a sessao senao mesmo que nao marcar a sessao continua com valor=SIM
	     endif; 
	 
	 //se estou mandando fazer mais de uma via pela opção mesclado entao prioriza o mesclado
     if($viasMescladas>1):	 
		 $viaFinal=$mescladas.'ª via';
     endif;	 
	 
	 
	 //$pdf->Cell(20,5,utf8_decode($contaAcesso.$viaFinal.'ª'),0,1,'C');	
     if($viaFinal=='*Vias 1,2 e 3'):   
	    $pdf->SetFont('Times','',8);
		$posicaoX=170;
        $pdf->setXY($posicaoX,$cotaViaSuperior+1);
		$pdf->Cell(20,3,utf8_decode("1ªVia:Requerente"),0,1,'L');	
        $pdf->setXY($posicaoX,$cotaViaSuperior+4);
		$pdf->Cell(20,3,utf8_decode("2ªVia:Laboratório"),0,1,'L');	
        $pdf->setXY($posicaoX,$cotaViaSuperior+7);
		$pdf->Cell(20,3,utf8_decode("3ªVia:MAPA"),0,1,'L');	
		
		
		
     else:
	    //$pdf->setXY(112,$cotaViaInferior);
	    //$pdf->Cell(20,5,utf8_decode($viaFinal.$cotaViaInferior),0,1,'C');	
     endif;	 
	 if($cliente=='ADV'):
	     $pdf->SetFont('Times','',8);
		 $tresVias="1ªVia:Requerente ". "2ªVia:Laboratório "."3ªVia:LASO Supervisor";	
	     $cotaViaInferior=278;
		 $pdf->setXY(112,$cotaViaInferior);
		 $pdf->Cell(20,3,utf8_decode($tresVias),0,1,'L');	
	 endif;
	 
    
	 endfor;//aqui varre para que saia as vias mescladas num so arquivo

$tabela .= '</table>';
$sessao->setVar('controleExcel',$tabela);

ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema

if($amostraEncriptada!=""):
   $pdf->Output("uploads/".$amostraEncriptada.".pdf","F");//funciona
endif;


$pdf->Output("uploads/arquivo.pdf","I");//arquivo vai para impressao




//$amostraEncriptada


/*
$nome = $idDoc ."-".$pdf->Output("arquivo.pdf","F");
$dir = $_SERVER['DOCUMENT_ROOT'] .'semente2013/php/paineladm/uploads/';
		//$tmpName = $_FILES[$nome]['tmp_name']; // Recebe o arquivo temporário.
		$name = $dir .$_FILES[$nome]['name']; // Recebe o nome do arquivo.
		// move_uploaded_file( $arqTemporário, $nomeDoArquivo )
		if( move_uploaded_file( $tmpName, $name ) ) { // move_uploaded_file irá realizar o envio do arquivo.		
			//header('Location: sucesso.php'); // Em caso de sucesso, retorna para a página de sucesso.	
			printMSG('okvvvvvvv','alerta');		
		} else {
		    printMSG('nao okvvvvv','alerta'); 
					
			//header('Location: erro.php'); // Em caso de erro, retorna para a página de erro.			
		}
*/		

?>
